Skip to main content

Agent IDs

When you create an agent in Logic, it is assigned a unique identifier known as the agent ID. This ID is used to reference the agent in API requests and is essential for executing, updating, or deleting the agent. You can find the agent ID in the Logic dashboard, or you can retrieve it using the Logic API. The agent ID is a UUID (Universally Unique Identifier) that looks like this: a901abfe-398d-447d-a0cc-c071b40339f3. You can also use the agent slug, which is a human-readable version of the agent ID that might look like this: analyze-invoice-po-notes.

Retrieving the Agent slug via the dashboard

agent integration You can find the agent slug in the Logic dashboard by opening the agent and navigating to the Triggers tab. Under the REST API section, the execution endpoint URL contains the agent slug. You can copy the full endpoint directly from there.

Retrieving a List of Available Agents with the API

To retrieve a list of the agents available on your dashboard, you can use the /v1/agents endpoint. This will return a JSON object containing the ID of your agent, created and updated dates, the slug you can use to refer to it for API requests, and more.
curl 'https://api.logic.inc/v1/agents/'
 -H "Authorization: Bearer $LOGIC_API_TOKEN"

Example Agent List

[
    {
      "id": "a901abfe-398d-447d-a0cc-c071b40339f3",
      "createdBy": "c04fdb6c-10e3-4abc-81ef-acd4c1b22ecb",
      "createdAt": "2025-04-28T09:19:09.508Z",
      "updatedAt": "2025-04-28T09:19:13.863Z",
      "orgId": "00000000-0000-4000-a000-000000000001",
      "currentVersionId": "da384a64-339e-422f-8a40-ccdb1cdcbe5e",
      "description": null,
      "draftVersionId": null,
      "draftVersionStatus": null,
      "slug": "analyze-invoice-po-notes",
      "title": "Processing Invoices"
    },
    {
      "id": "9fe247d4-bc32-4ad1-ae2b-ad36428e72ae",
      "createdBy": "da384a64-339e-422f-8a40-ccdb1cdcbe5e",
      "createdAt": "2024-10-17T06:28:46.832Z",
      "updatedAt": "2025-04-28T08:49:20.067Z",
      "orgId": "00000000-0000-4000-a000-000000000001",
      "currentVersionId": "f262e499-41e3-42e3-a987-07b7c955eecc",
      "description": "This guide standardizes the creation of Git commit messages for projects, ensuring each message clearly and concisely represents the staged changes while following a strict house style.",
      "draftVersionId": "8eac5a51-4026-4a1d-bd50-9caf25bedefb",
      "draftVersionStatus": "DRAFT",
      "slug": "generate-commit-message-from-diff-and-branch",
      "title": "Git Commit Message Guide"
    }
]

Retrieving a Specific Agent

You can also retrieve info for a specific agent by adding the ID or slug to the end of the /v1/agents/ endpoint.
curl 'https://api.logic.inc/v1/agents/{agent_id}/'
-H "Authorization: Bearer $LOGIC_API_TOKEN"
Replace any {id} in the example code, such as {agent_id} with the ID you need for your specific API call.